Part Wedge

From FreeCAD Documentation
This page is a translated version of the page Part Wedge and the translation is 4% complete.
Outdated translations are marked like this.

Part Wedge

Ubicación en el Menú
Part -> Part CreatePrimitives -> Cuña
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part CreatePrimitives

Description

Crea un objeto paramétrico Cuña. Esta Cuña se predetermina a un cuadrado más grande como base y un cuadrado más pequeño arriba.

Usage

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DatosXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DatosYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DatosZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DatosX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DatosZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DatosXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DatosYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DatosZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DatosX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DatosZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()